Package org.kapott.hbci.sepa.jaxb.pain_001_001_09

# Class FinancialInstitutionIdentification18

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_09.FinancialInstitutionIdentification18

public class FinancialInstitutionIdentification18 extends Object

Java class for FinancialInstitutionIdentification18 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FinancialInstitutionIdentification18">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BICFI" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}BICFIDec2014Identifier" minOccurs="0"/>
             <element name="ClrSysMmbId" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}ClearingSystemMemberIdentification2" minOccurs="0"/>
             <element name="LEI" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}LEIIdentifier" minOccurs="0"/>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}Max140Text" minOccurs="0"/>
             <element name="PstlAdr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}PostalAddress24" minOccurs="0"/>
             <element name="Othr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}GenericFinancialIdentification1" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`bicfi`
`protected ClearingSystemMemberIdentification2`
`clrSysMmbId`
`protected String`
`lei`
`protected String`
`nm`
`protected GenericFinancialIdentification1`
`othr`
`protected PostalAddress24`
`pstlAdr`

## Constructor Summary

Constructors
Constructor
Description
`FinancialInstitutionIdentification18()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getBICFI()`
Gets the value of the bicfi property.
`ClearingSystemMemberIdentification2`
`getClrSysMmbId()`
Gets the value of the clrSysMmbId property.
`String`
`getLEI()`
Gets the value of the lei property.
`String`
`getNm()`
Gets the value of the nm property.
`GenericFinancialIdentification1`
`getOthr()`
Gets the value of the othr property.
`PostalAddress24`
`getPstlAdr()`
Gets the value of the pstlAdr property.
`void`
`setBICFI(String value)`
Sets the value of the bicfi property.
`void`
`setClrSysMmbId(ClearingSystemMemberIdentification2 value)`
Sets the value of the clrSysMmbId property.
`void`
`setLEI(String value)`
Sets the value of the lei property.
`void`
`setNm(String value)`
Sets the value of the nm property.
`void`
`setOthr(GenericFinancialIdentification1 value)`
Sets the value of the othr property.
`void`
`setPstlAdr(PostalAddress24 value)`
Sets the value of the pstlAdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bicfi

protected String bicfi

### clrSysMmbId

protected ClearingSystemMemberIdentification2 clrSysMmbId

### lei

protected String lei

### nm

protected String nm

### pstlAdr

protected PostalAddress24 pstlAdr

### othr

protected GenericFinancialIdentification1 othr

## Constructor Details

### FinancialInstitutionIdentification18

public FinancialInstitutionIdentification18()

## Method Details

### getBICFI

public String getBICFI()
Gets the value of the bicfi property.

Returns:
  possible object is `String`

### setBICFI

public void setBICFI(String value)
Sets the value of the bicfi property.

Parameters:
  `value` - allowed object is `String`

### getClrSysMmbId

public ClearingSystemMemberIdentification2 getClrSysMmbId()
Gets the value of the clrSysMmbId property.

Returns:
  possible object is `ClearingSystemMemberIdentification2`

### setClrSysMmbId

public void setClrSysMmbId(ClearingSystemMemberIdentification2 value)
Sets the value of the clrSysMmbId property.

Parameters:
  `value` - allowed object is `ClearingSystemMemberIdentification2`

### getLEI

public String getLEI()
Gets the value of the lei property.

Returns:
  possible object is `String`

### setLEI

public void setLEI(String value)
Sets the value of the lei property.

Parameters:
  `value` - allowed object is `String`

### getNm

public String getNm()
Gets the value of the nm property.

Returns:
  possible object is `String`

### setNm

public void setNm(String value)
Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

### getPstlAdr

public PostalAddress24 getPstlAdr()
Gets the value of the pstlAdr property.

Returns:
  possible object is `PostalAddress24`

### setPstlAdr

public void setPstlAdr(PostalAddress24 value)
Sets the value of the pstlAdr property.

Parameters:
  `value` - allowed object is `PostalAddress24`

### getOthr

public GenericFinancialIdentification1 getOthr()
Gets the value of the othr property.

Returns:
  possible object is `GenericFinancialIdentification1`

### setOthr

public void setOthr(GenericFinancialIdentification1 value)
Sets the value of the othr property.

Parameters:
  `value` - allowed object is `GenericFinancialIdentification1`